Name:           station
Version:        2.2.0
Release:        %autorelease
Summary:        Terminal emulator with quick functions support for touch
License:        LGPL-3.0-only
URL:            https://mauikit.org/apps/station/
Source:         https://download.kde.org/stable/maui/station/%{version}/station-%{version}.tar.xz

# https://invent.kde.org/maui/station/-/commit/e6e520d505dfad25006c69a651013a344e004bd1
Patch:          0001-update-the-appstream-file-with-the-latest-two-releases.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(MauiKitFileBrowsing)


%description
The Station terminal emulator is an application for accessing a UNIX shell
environment that you can use to run programs available on your system.  It
supports multiple tabs, split views, and implements several keyboard shortcuts
for touch devices.


%prep
%autosetup -p 1


%build
%cmake_kf5
%cmake_build


%install
%cmake_install


%files
%license LICENSES/LGPL-3.0.txt
%{_bindir}/station
%{_datadir}/applications/org.kde.station.desktop
%{_datadir}/icons/hicolor/scalable/apps/station.svg
%{_metainfodir}/org.kde.station.appdata.xml


%changelog
%autochangelog
